Bug 877473 - SAM upgrade fails with uninitialized constant Glue::Foreman
SAM upgrade fails with uninitialized constant Glue::Foreman
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Tom McKay
Og Maciel
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-16 11:00 EST by Og Maciel
Modified: 2013-02-21 14:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Upgrading no longer fails with 'uninitialized contant Glue::Foreman'
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:19:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
katello_upgrade.log (22.54 KB, text/x-log)
2012-11-16 11:00 EST, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-11-16 11:00:43 EST
Created attachment 646432 [details]
katello_upgrade.log

Description of problem:

Upgrading from 1.1 to latest failed with the following error:

uninitialized constant Glue::Foreman

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install and configure SAM 1.1
2. Upgrade to latest using instructions here:  https://fedorahosted.org/katello/wiki/Upgrade
3. 
  
Actual results:

# katello-upgrade
================================================================================
 Katello upgrade
================================================================================

1/2: Update Candlepin (0003_update_candlepin.sh)
 Updates Candlepin database schema to the latest version

Do you want to proceed? (y/n): y

Update Candlepin OK.

================================================================================

2/2: Migrate Katello database (0004_migrate_katello_db.sh)
 Updates Katello database schema to the latest version

Do you want to proceed? (y/n): y

Migrate Katello database FAILED.

================================================================================
Finished 1 of 2 upgrade steps

Expected results:


Additional info:

See attached upgrade log
Comment 1 Tom McKay 2012-11-16 14:54:15 EST
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: dbd07f9040d74ce56b83b50af5634157d7f72bec
      https://github.com/Katello/katello/commit/dbd07f9040d74ce56b83b50af5634157d7f72bec
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-11-16 (Fri, 16 Nov 2012)
Comment 2 Garik Khachikyan 2012-11-23 08:20:41 EST
@Tom.

Please if you could check whether this commit is not included in 20.Nov's SAM 1.2 compose please?

If so: we need the bug to be ON_QA in order to make it verified. thanks in advance.
Comment 3 Tom McKay 2012-11-26 08:44:48 EST
@Garik - BZs are available to test when they are marked ON_QA by the errata tool. Thanks!
Comment 4 Tom McKay 2012-12-03 10:42:25 EST
In latest compose
Comment 7 errata-xmlrpc 2013-02-21 14:19:40 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.